RDLog.h File Reference
`#include <RDGeneral/export.h>`
`#include "BoostStartInclude.h"`
`#include <boost/iostreams/tee.hpp>`
`#include <boost/iostreams/stream.hpp>`
`#include "BoostEndInclude.h"`
`#include <iostream>`

Go to the source code of this file.

## Classes

class | boost::logging::rdLogger

## Namespaces

| boost
| boost::logging
| RDLog

## Macros

#define | BOOST_LOG(__arg__)

## Typedefs

typedef boost::iostreams::tee_device< std::ostream, std::ostream > | boost::logging::RDTee
typedef boost::iostreams::stream< RDTee > | boost::logging::RDTeeStream

## Functions

RDKIT_RDGENERAL_EXPORT void | boost::logging::enable_logs (const char *arg)
RDKIT_RDGENERAL_EXPORT void | boost::logging::enable_logs (const std::string &arg)
RDKIT_RDGENERAL_EXPORT void | boost::logging::disable_logs (const char *arg)
RDKIT_RDGENERAL_EXPORT void | boost::logging::disable_logs (const std::string &arg)
RDKIT_RDGENERAL_EXPORT std::ostream & | RDLog::toStream (std::ostream &)
RDKIT_RDGENERAL_EXPORT void | RDLog::InitLogs ()

## Variables

RDKIT_RDGENERAL_EXPORT std::shared_ptr< boost::logging::rdLogger > | rdAppLog
RDKIT_RDGENERAL_EXPORT std::shared_ptr< boost::logging::rdLogger > | rdDebugLog
RDKIT_RDGENERAL_EXPORT std::shared_ptr< boost::logging::rdLogger > | rdInfoLog
RDKIT_RDGENERAL_EXPORT std::shared_ptr< boost::logging::rdLogger > | rdErrorLog
RDKIT_RDGENERAL_EXPORT std::shared_ptr< boost::logging::rdLogger > | rdWarningLog
RDKIT_RDGENERAL_EXPORT std::shared_ptr< boost::logging::rdLogger > | rdStatusLog

## Macro Definition Documentation

## BOOST_LOG

#define BOOST_LOG | ( |  | __arg__ | ) |

Value:
if ((__arg__) && (__arg__->dp_dest) && (__arg__->df_enabled)) \
RDLog::toStream((__arg__->teestream) ? *(__arg__->teestream) \
: *(__arg__->dp_dest))

Definition at line 88 of file RDLog.h.

## Variable Documentation

## rdAppLog

RDKIT_RDGENERAL_EXPORT std::shared_ptr<boost::logging::rdLogger> rdAppLog

## rdDebugLog

RDKIT_RDGENERAL_EXPORT std::shared_ptr<boost::logging::rdLogger> rdDebugLog

## rdErrorLog

RDKIT_RDGENERAL_EXPORT std::shared_ptr<boost::logging::rdLogger> rdErrorLog

## rdInfoLog

RDKIT_RDGENERAL_EXPORT std::shared_ptr<boost::logging::rdLogger> rdInfoLog

Referenced by RDKit::MolStandardize::ValidationErrorInfo::ValidationErrorInfo().

## rdStatusLog

RDKIT_RDGENERAL_EXPORT std::shared_ptr<boost::logging::rdLogger> rdStatusLog

## rdWarningLog

RDKIT_RDGENERAL_EXPORT std::shared_ptr<boost::logging::rdLogger> rdWarningLog

Referenced by RDKit::FileParserUtils::applyMolListPropToAtoms(), RDKit::RxnOps::ChemDrawRxnAdjustParams(), and RDKit::FilterMatcherBase::Clone().

RDLog::toStream
RDKIT_RDGENERAL_EXPORT std::ostream & toStream(std::ostream &)